Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.io
Class SVNLocationEntry

    java.lang.Object
      org.tmatesoft.svn.core.io.SVNLocationEntry

public class SVNLocationEntry
extends Object

The SVNLocationEntry represents a mapping of a path to its revision. That is, the repository path of an item in a particular revision.

Version:
  1.1.1
Author:
  TMate Software Ltd.
See Also:
  `ISVNLocationEntryHandler`

Constructor Summary
`SVNLocationEntry(long revision, String path)` Constructs an SVNLocationEntry object.

Method Summary
`String` | `getPath()` Gets the path.
`long` | `getRevision()` Gets the revision number.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVNLocationEntry

    public SVNLocationEntry(long revision,
                            String path)

  Constructs an SVNLocationEntry object.

Parameters:
  `revision` - a revision number
  `path` - an item's path in the reposytory in the `revision`

Method Detail

### getPath

    public String getPath()

  Gets the path.

  Returns:
    a path

### getRevision

    public long getRevision()

  Gets the revision number.

  Returns:
    a revision number.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 TMate Software Ltd. All Rights Reserved.